﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using Caliburn.Micro;

namespace TelerikDemo
{
    public class HomeViewModel: Screen
    {
        private IEventAggregator Events;
        public HomeViewModel(IEventAggregator events)
        {
            Events = events;
            BusyTrigger();
        }

        public async void BusyTrigger()
        {
            Events.PublishOnUIThread(new BusyEvent(this) { IsBusy = true });

            await Task.Run(() => Thread.Sleep(5000));

            Events.PublishOnUIThread(new BusyEvent(this) { IsBusy = false });
        }
    }
}
